/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.activemq.message;

/**
 * Command to remove a Durable Subscription
 *
 * @version $Revision: 1.1.1.1 $
 */

public class DurableUnsubscribe extends AbstractPacket {

    private String clientId;
    private String subscriberName;


    /**
     * Return the type of Packet
     *
     * @return integer representation of the type of Packet
     */

    public int getPacketType() {
        return DURABLE_UNSUBSCRIBE;
    }


    /**
     * @return Returns the clientId.
     */
    public String getClientId() {
        return clientId;
    }

    /**
     * @param clientId The clientId to set.
     */
    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    /**
     * @return Returns the subscriberName.
     */
    public String getSubscriberName() {
        return subscriberName;
    }

    /**
     * @param subscriberName The subscriberName to set.
     */
    public void setSubscriberName(String subscriberName) {
        this.subscriberName = subscriberName;
    }

    public String toString() {
        return super.toString() + " DurableUnsubscribe{ " +
                "clientId = '" + clientId + "' " +
                ", subscriberName = '" + subscriberName + "' " +
                " }";
    }
}
